net.i2p.router.transport.udp

## Class UDPFlooder

- java.lang.Object
- - net.i2p.router.transport.udp.UDPFlooder

All Implemented Interfaces:
  Runnable

     class UDPFlooder
    extends Object
    implements Runnable

This sends random data to all UDP peers at a specified rate. It is for testing only!

### Constructor Summary

Constructors
Constructor and Description
`UDPFlooder(RouterContext ctx, UDPTransport transport)`

### Method Summary

Methods
`void` `addPeer(PeerState peer)`
`void` `removePeer(PeerState peer)`
`void` `run()`
`void` `shutdown()`
`void` `startup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UDPFlooder

    public UDPFlooder(RouterContext ctx,
              UDPTransport transport)

### Method Detail

#### addPeer

    public void addPeer(PeerState peer)

#### removePeer

    public void removePeer(PeerState peer)

#### startup

    public void startup()

#### shutdown

    public void shutdown()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`